.block-recent-posts {
  background-color: var(--darkColor);
}
.block-recent-posts__inner {
  padding: 40px 20px 50px;
  max-width: 1200px;
  margin: 0 auto;
}
.block-recent-posts__inner .title {
  color: #FFF;
  margin-bottom: 25px;
}
.block-recent-posts__posts .slick-list {
  margin: 0 -10px;
}
.block-recent-posts__posts .slick-dots {
  width: calc(100% - 90px);
  height: 4px;
  position: absolute;
  bottom: -44px;
  background-color: rgba(255, 255, 255, 0.2);
  text-align: start;
  margin-top: 20px;
  display: flex;
}
.block-recent-posts__posts .slick-dots li {
  margin: 0;
  display: flex;
  flex: 1;
  height: 4px;
}
.block-recent-posts__posts .slick-dots li button::before {
  display: none;
}
.block-recent-posts__posts .slick-dots li.slick-active {
  background-color: var(--highlightColor);
}
.block-recent-posts__post {
  background-color: #FFF;
  padding: 20px 20px 30px;
  margin: 0 10px;
  display: flex !important;
  flex-direction: column;
  justify-content: space-between;
}
.block-recent-posts__post .content .thumbnail {
  display: block;
  margin-bottom: 35px;
}
.block-recent-posts__post .content .thumbnail img {
  width: 100%;
  aspect-ratio: 2/1;
  object-fit: cover;
}
.block-recent-posts__post .content .info {
  font-size: 15px;
  font-size: 0.9375rem;
  line-height: 26px;
  line-height: 1.625rem;
  font-weight: 600;
  letter-spacing: 1px;
  text-transform: uppercase;
  margin-bottom: 15px;
}
.block-recent-posts__post .content .post-title {
  display: block;
  font-family: "Roboto Slab", serif;
  font-size: 24px;
  font-size: 1.5rem;
  line-height: 38px;
  line-height: 2.375rem;
  color: var(--text);
  margin-bottom: 20px;
}
.block-recent-posts__post .content .excerpt {
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  margin-bottom: 25px;
}
.block-recent-posts__post .read-more {
  letter-spacing: 2px;
  text-transform: uppercase;
  font-weight: bold;
}
.block-recent-posts__arrows {
  display: flex;
  justify-content: end;
  gap: 15px;
}
.block-recent-posts__arrows div {
  cursor: pointer;
}
@media (min-width: 768px) {
  .block-recent-posts__inner {
    padding: 70px 40px 80px;
  }
  .block-recent-posts__inner .title {
    margin-bottom: 40px;
  }
  .block-recent-posts__posts .slick-track {
    display: flex;
    align-items: stretch;
  }
  .block-recent-posts__posts .slick-dots {
    width: calc(100% - 100px);
  }
  .block-recent-posts__post {
    height: auto;
  }
}
@media (min-width: 1280px) {
  .block-recent-posts__inner {
    padding: 100px 40px 110px;
  }
  .block-recent-posts__inner .title {
    margin-bottom: 60px;
  }
  .block-recent-posts__posts .slick-list {
    margin: 0 -25px;
  }
  .block-recent-posts__posts .slick-dots {
    bottom: -74px;
  }
  .block-recent-posts__post {
    padding: 40px 35px 50px;
    margin: 0 25px;
  }
  .block-recent-posts__post .content .info {
    font-size: 18px;
    font-size: 1.125rem;
    line-height: 36px;
    line-height: 2.25rem;
  }
  .block-recent-posts__post .content .post-title {
    font-family: "Roboto Slab", serif;
    font-size: 28px;
    font-size: 1.75rem;
    line-height: 48px;
    line-height: 3rem;
  }
  .block-recent-posts__post .read-more {
    font-family: "Roboto Slab", serif;
    font-size: 24px;
    font-size: 1.5rem;
  }
  .block-recent-posts__arrows {
    margin-top: 60px;
  }
}
